package com.ywt.mg.domain.models.enums;


/**
 * 订单退款状态枚举 退款状态 0: 退款申请中,  1: 退款成功，2: 退款异常，3: 退款关闭
 */
public enum OrderRefundLogStatusEnum {
    Applying("退款申请中", 0),
    Succeed("退款成功", 1),
    Unusual("退款异常", 2),
    Closed("退款关闭", 3);
    private final String displayName;

    private final int value;

    OrderRefundLogStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static OrderRefundLogStatusEnum valueOf(int value){
        switch (value){
            case 0:
                return Applying;
            case 1:
                return Succeed;
            case 2:
                return Unusual;
            case 3:
                return Closed;
            default:
                return Applying;
        }
    }
}
